### Function

# Tsparql check_version

#### Declaration [src]

    const gchar*
    tracker_check_version (
      guint required_major,
      guint required_minor,
      guint required_micro
    )

#### Description [src]

Checks that the Tracker library in use is compatible with the given version.

Generally you would pass in the constants `TRACKER_MAJOR_VERSION`, `TRACKER_MINOR_VERSION`, `TRACKER_MICRO_VERSION` as the three arguments to this function; that produces a check that the library in use is compatible with the version of Tracker the application or module was compiled against.

Compatibility is defined by two things: first the version of the running library is newer than the version `required_major`.`required_minor`.`required_micro`. Second the running library must be binary compatible with the version `required_major`.`required_minor`.`required_micro` (same major version.).

#### Parameters

`required_major`

  Type: `guint`

  The required major version.

`required_minor`

  Type: `guint`

  The required minor version.

`required_micro`

  Type: `guint`

  The required micro version.

#### Return value

Type: `const gchar*`

`NULL` if the Tracker library is compatible with the given version, or a string describing the version mismatch.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.